Subject: [netlmm] comment for draft-damic-netlmm-pmip6-ind-discover-03

From: Jun AWANO <[email-masked]>
Date: Mon, 10 Mar 2008 05:48:01 -0400

Hi damic,

I think your draft is helpful for PMIP-CMIP interworking especally for
scenario B described in draft-giaretta-netlmm-mip-interactions.
But I have some comments for your draft.

1. consideration of network policy
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Your draft says the following at "4.3. Router Solicitation Client-based
Mobility Flag",
   The MAG that receives it
   SHOULD respond with a Router Advertisement containing a topologically
   correct prefix for the link (i.e., Not the emulated PMIPv6 prefix).

I think final decision for mobility mode selection should be made by
network.
So upon receiving RS including C flag set to 1, a MAG should decide
mobility mode after considering network policy. The policy may be
different between each MNs depending on payment and other factors.
The MAG can get the policy from policy store.

2. assumed order of RS
~~~~~~~~~~~~~~~~~~~~~~
Do you assume MN which always sends RS without waiting RA?
On the other hand, does a MAG wait for RS from MN before processing
registration(PBU/PBA) and sending RA when the MAG uses RS for mobility
mode selection.

Best regards,
Jun

_______________________________________________
netlmm mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/netlmm